### VOT2020 submission - A3CTDmask
Matteo Dunnhofer, Gian Luca Foresti, Christian Micheloni

Machine Learning and Perception Lab  
Department of Mathematics, Computer Science and Physics  
University of Udine  
Udine, Italy

##### Hardware and OS specifications
CPU Intel Xeon E5-2690 v4 @ 2.60GHz  
GPU NVIDIA Titan V  
320 GB of RAM
OS: Ubuntu 18.04  

#### VOT2020 test instructions
To run the VOT2020 experiments please follow these instructions:

+ Download the pre-trained weights files ``A3CTD.weights``, ``SiamFC.pth`` and ``SiamMask_DAVIS.pth``
must be downloaded from [here](https://drive.google.com/drive/folders/1Njn7CejAsf4nX4CP_921W7xT0X6GcM5G?usp=sharing) and put in the folder ``vot2020-submission/ckpt/``

+ Create the Anaconda environment ``conda env create -f vot.yml``

+ Activate the environment ``conda activate vot``

+ Move to the workspace folder ``cd src/vot-experiments/vot2020-A3CTDmask-ws``  

+ Edit the variable ``FULL_PATH_TO_SUB`` in file ``path_config.py`` by providing the full-path to the submission folder,
and do the same in the file ``trackers.ini`` by substituting
 + the path ``[full-path-to-vot-2019-submission-a3ctd]`` with the full-path to the current folder
 + the paths ``[full-path-to-trax]`` with the full-paths to the Trax folder
 
+ Run the analysis by ``vot evaluate --workspace . A3CTDmask`` 

+ Run the evaluation by ``vot analysis --workspace . A3CTDmask --output json``  

#### If you fail to run our tracker please write to ``matteo.dunnhofer@uniud.it``
